(инструкции на Русском - внизу)

# sugar-qsp
Compiler for QSP games which creates monolithic HTML pages.

## Usage

There are three mastery levels

1. Just build me the game:<br/>
`sugar-qsp game.txt`<br/>
And it will create the game in game.html

2. I know what I'm doing:<br/>
`sugar-qsp game.txt -o game.html --body body.html --js jquery.js my-js-library.js --css styles/*.css`<br/>
All options are self-explanatory. The result is a monolithic html specified
with the `-o` option. Default `body.html` (used by the first mastery level) can
be found in `extas` directory.

3. I'm a frontend developer!<br/>
`sugar-qsp game.txt -c -o game.js`<br/>
It just builds the game script into a js you can put on your website. To run
the game execute `SugarQSP.start()`

# sugar-qsp
Компилятор для игр на QSP создающий монолитные страницы на HTML.

## Инструкции

Есть три уровня мастерства.

1. **Просто собери мне игру**:<br/>
`sugar-qsp game.txt`<br/>
Создаст игру в game.html

2. **Я знаю что делаю**:<br/>
`sugar-qsp game.txt -o game.html --body body.html --js jquery.js my-js-library.js --css styles/*.css`<br/>
Если вы знаете что делаете, то для вас смысл опций очевиден. `body.html` и `default.css`
лежат в каталоге `extras`.

3. **Я - фронтендер!**<br/>
`sugar-qsp game.txt -c -o game.js`<br/>
Просто соберёт игру в Javascript файл который вы можете разместить на своём
сайте как вам угодно.
